Package fr.gouv.vitam.worker.common.utils

# Class DataObjectInfo

java.lang.Object
fr.gouv.vitam.worker.common.utils.DataObjectInfo

public final class DataObjectInfo extends Object
The class DataObjectInfo is stored all information of the DataObjectInfo

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataObjectInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DigestType`
  `getAlgo()`
  `com.fasterxml.jackson.databind.node.ObjectNode`
  `getDiffSizeJson()`
  Field to conatain the diff if size has not the same between manifest and binary file
  `String`
  `getId()`
  `String`
  `getMessageDigest()`
  `String`
  `getPhysicalId()`
  `int`
  `getRank()`
  `Long`
  `getSize()`
  `Boolean`
  `getSizeIncorrect()`
  `String`
  `getType()`
  `String`
  `getUri()`
  `String`
  `getVersion()`
  `DataObjectInfo`
  `setAlgo(DigestType algo)`
  `DataObjectInfo`
  `setDiffSizeJson(com.fasterxml.jackson.databind.node.ObjectNode diffSizeJson)`
  `DataObjectInfo`
  `setId(String id)`
  `DataObjectInfo`
  `setMessageDigest(String messageDigest)`
  `DataObjectInfo`
  `setPhysicalId(String physicalId)`
  `DataObjectInfo`
  `setRank(int rank)`
  `DataObjectInfo`
  `setSize(Long size)`
  `DataObjectInfo`
  `setSizeIncorrect(Boolean sizeIncorrect)`
  `DataObjectInfo`
  `setType(String type)`
  `DataObjectInfo`
  `setUri(String uri)`
  `DataObjectInfo`
  `setVersion(String version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataObjectInfo

    public DataObjectInfo()

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id of the data object

  - ### setId

    public DataObjectInfo setId(String id)
    Parameters:
      `id` - the id of the data to set
    Returns:
      DataObjectInfo

  - ### getVersion

    public String getVersion()
    Returns:
      version of the data object

  - ### setVersion

    public DataObjectInfo setVersion(String version)
    Parameters:
      `version` - the version of the data to set
    Returns:
      BinaryObjectInfo

  - ### getUri

    public String getUri()
    Returns:
      uri of the data as String

  - ### setUri

    public DataObjectInfo setUri(String uri)
    Parameters:
      `uri` - uri of the data object as String
    Returns:
      BinaryObjectInfo

  - ### getMessageDigest

    public String getMessageDigest()
    Returns:
      messageDigest as String

  - ### setMessageDigest

    public DataObjectInfo setMessageDigest(String messageDigest)
    Parameters:
      `messageDigest` - the message digest of the data to set
    Returns:
      BinaryObjectInfo

  - ### getSize

    public Long getSize()
    Returns:
      size

  - ### setSize

    public DataObjectInfo setSize(Long size)
    Parameters:
      `size` - the size of the data to set
    Returns:
      BinaryObjectInfo

  - ### getAlgo

    public DigestType getAlgo()
    Returns:
      DigestType

  - ### setAlgo

    public DataObjectInfo setAlgo(DigestType algo)
    Parameters:
      `algo` - digest algorithm
    Returns:
      BinaryObjectInfo

  - ### getRank

    public int getRank()
    Returns:
      the rank in version

  - ### setRank

    public DataObjectInfo setRank(int rank)
    Parameters:
      `rank` - the rank in version
    Returns:
      this

  - ### getType

    public String getType()
    Returns:
      type as String

  - ### setType

    public DataObjectInfo setType(String type)
    Parameters:
      `type` - the type of the data to set
    Returns:
      BinaryObjectInfo

  - ### getPhysicalId

    public String getPhysicalId()
    Returns:
      physicalId as String

  - ### setPhysicalId

    public DataObjectInfo setPhysicalId(String physicalId)
    Parameters:
      `physicalId` - the physical Id of the data to set
    Returns:
      BinaryObjectInfo

  - ### getDiffSizeJson

    public com.fasterxml.jackson.databind.node.ObjectNode getDiffSizeJson()
    Field to conatain the diff if size has not the same between manifest and binary file
    Returns:

  - ### setDiffSizeJson

    public DataObjectInfo setDiffSizeJson(com.fasterxml.jackson.databind.node.ObjectNode diffSizeJson)

  - ### getSizeIncorrect

    public Boolean getSizeIncorrect()

  - ### setSizeIncorrect

    public DataObjectInfo setSizeIncorrect(Boolean sizeIncorrect)